Loading...
Searching...
No Matches
ShonanAveraging.h File Reference

Shonan Averaging algorithm. More...

Go to the source code of this file.

## Classes

struct | gtsam::ShonanAveragingParameters< d >
| Parameters governing optimization etc. More...
class | gtsam::ShonanAveraging< d >
| Class that implements Shonan Averaging from our ECCV'20 paper. More...
class | gtsam::ShonanAveraging2
class | gtsam::ShonanAveraging3

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::ShonanAveragingParameters2 = ShonanAveragingParameters<2>
using | gtsam::ShonanAveragingParameters3 = ShonanAveragingParameters<3>

## Detailed Description

Shonan Averaging algorithm.

Date
  March 2019 - August 2020

Author
  Frank Dellaert, David Rosen, and Jing Wu